/*
 * @Descripttion:
 * @version:
 * @Author: kBank
 * @Date: 2023-04-21 14:28:38
 */
import request from '@/utils/request'

// 会员消费赠送-查看
export function memberConsumeRule(params) {
  return request({
    url: '/activity/manage/member-consume-rule/detail',
    method: 'get',
    params
  })
}
// 奖衔枚举
export function awardsList(params) {
  return request({
    url: '/system/manage/awards/awardsList',
    method: 'get',
    params
  })
}
// 等级枚举
export function gradeList(params) {
  return request({
    url: '/system/manage/grade/expandList',
    method: 'get',
    params
  })
}
// 权限中心
export function registerPowerState(params) {
  return request({
    url: '/system/pub/enums/registration-authority',
    method: 'get',
    params
  })
}
// 专区
export function specialArea(params) {
  return request({
    url: '/system/pub/enums/special-area',
    method: 'get',
    params
  })
}
// 全部商品
export function waresList(params) {
  return request({
    url: '/sale/manage/wares/find-all',
    method: 'get',
    params
  })
}
// 产品名称
export function getProductAll(params) {
  return request({
    url: '/sale/manage/product/list',
    method: 'get',
    params
  })
}
// 产品规格
export function getProductSpecs(params) {
  return request({
    url: '/sale/manage/product/get-product-specs',
    method: 'get',
    params
  })
}

// 新增买赠活动规则--会员消费赠送列表actType=25
export function activityList(params) {
  return request({
    url: '/activity/manage/activity/list',
    method: 'get',
    params
  })
}

// 活动状态
export function activityStatus(params) {
  return request({
    url: '/system/pub/enums/get-activityStatus',
    method: 'get',
    params
  })
}
// 提货类型
export function tgtype(params) {
  return request({
    url: '/system/pub/enums/pick-type',
    method: 'get',
    params
  })
}

// 商品活动保存
export function activitySave(data) {
  return request({
    url: '/activity/manage/wares-rule-config/save-activity',
    method: 'post',
    data
  })
}
// 商品活动修改
export function activityUpdata(data) {
  return request({
    url: '/activity/manage/wares-rule-config/update',
    method: 'post',
    data
  })
}
// 商品活动详情
export function activityDetails(params) {
  return request({
    url: '/activity/manage/wares-rule-config/get-detail',
    method: 'get',
    params
  })
}
// 商品活动删除
export function activityRemove(id) {
  return request({
    url: '/activity/manage/wares-rule-config/' + id,
    method: 'delete'
  })
}

// 消费条件枚举
export function consumCondition(params) {
  return request({
    url: 'system/pub/enums/get-condition',
    method: 'get',
    params
  })
}
// 消费赠送保存
export function consumptionSave(data) {
  return request({
    url: '/activity/manage/consume-rule-config/consumption-gift',
    method: 'post',
    data
  })
}
// 消费赠送修改
export function consumptionUpdate(data) {
  return request({
    url: '/activity/manage/consume-rule-config/update',
    method: 'post',
    data
  })
}
// 消费赠送列表
export function consumptionlist(params) {
  return request({
    url: '/activity/manage/activity/list',
    method: 'get',
    params
  })
}
// 消费赠送详情
export function consumeDetails(params) {
  return request({
    url: '/activity/manage/consume-rule-config/detail',
    method: 'get',
    params
  })
}
// 消费赠送删除
export function consumeRemove(id) {
  return request({
    url: '/activity/manage/consume-rule-config/' + id,
    method: 'delete'
  })
}
// 比率类型
export function ratioType() {
  return request({
    url: '/system/pub/enums/get-ratio-type',
    method: 'get'
  })
}
// 订单类型枚举
export function getOrderType(params) {
  return request({
    url: '/system/pub/enums/order-type',
    method: 'get',
    params
  })
}
// 直推活动列表
export function directList(params) {
  return request({
    url: '/activity/manage/activity/list',
    method: 'get',
    params
  })
}
// 直推活动详情
export function recommendDetail(params) {
  return request({
    url: '/activity/manage/recommend/detail',
    method: 'get',
    params
  })
}

// 活动类型枚举
export function getActivityType(params) {
  return request({
    url: '/system/pub/enums/activity-type',
    method: 'get',
    params
  })
}

// 种树添加
export function treeRulePickSave(data) {
  return request({
    url: '/activity/manage/tree-rule-pick/save',
    method: 'post',
    data
  })
}
// 种树修改
export function treeRulePickUpdate(data) {
  return request({
    url: '/activity/manage/tree-rule-pick/update',
    method: 'post',
    data
  })
}
// 种树详情
export function treeRulePickDetail(params) {
  return request({
    url: '/activity/manage/tree-rule-pick/get-detail',
    method: 'get',
    params
  })
}
// 种树列表
export function treerulePickList(params) {
  return request({
    url: '/activity/manage/tree-rule-pick/member-info-list',
    method: 'get',
    params
  })
}
// 等级下拉选
export function gradeRanglist(params) {
  return request({
    url: '/system/manage/grade/gradeRanglist',
    method: 'get',
    params
  })
}

// 计算类型枚举值
export function getcellTypeList() {
  return request({
    url: '/system/pub/enums/get-ratio-type',
    method: 'get'
  })
}

// 权益赠送详情
export function benefitsDetails(data) {
  return request({
    url: '/activity/manage/gift-benefits/details',
    method: 'post',
    data
  })
}
// 升级权益赠送详情
export function upgradeGiveDetails(data) {
  return request({
    url: '/activity/manage/upgrade-give/details',
    method: 'post',
    data
  })
}

// 旅游活动列表接口
export function tourismList(params) {
  return request({
    url: '/activity/manage/tourism/list',
    method: 'get',
    params
  })
}
// 旅游活动详情
export function tourismDetails(params) {
  return request({
    url: '/activity/manage/tourism/detail',
    method: 'get',
    params
  })
}

// 营销管理-直推排行数据
export function getMemberDirectPusht(params) {
  return request({
    url: '/member/manager/member/get-member-direct-push',
    method: 'get',
    params
  })
}

// 营销管理-权益赠送数据
export function getBenefitsRuleLogList(params) {
  return request({
    url: '/activity/manage/gift-benefits/benefitsRuleLog',
    method: 'get',
    params
  })
}

